# -*- coding: utf-8 -*-
# vim: ft=sls

{%- set tplroot = tpldir.split('/')[0] %}
{%- from tplroot ~ "/map.jinja" import jellyfin with context %}

{%- set os = salt['grains.get']('os') %}
{%- set codename = salt['grains.get']('oscodename') %}

{% if jellyfin.manage_repo %}
jellyfin_repo:
  pkgrepo.managed:
    - humanname: 'Jellyfin repository'
    - name: "deb https://repo.jellyfin.org/{{ os | lower }} {{ codename }} main"
    - file: '/etc/apt/sources.list.d/jellyfin.list'
    - dist: "{{ codename }}"
    - key_url: 'https://repo.jellyfin.org/jellyfin_team.gpg.key'
    - gpgcheck: 1
    - require_in:
      - pkg: jellyfin_pkg_install
{% endif %}

